%define upstream_name    Sysadm-Install
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Typical installation tasks for system administrators
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/M/MS/MSCHILLI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Log::Log4perl) >= 1.280.0
BuildRequires: perl(Term::ReadKey)
BuildArch:  noarch

%description
Have you ever wished for your installation shell scripts to run
reproducibly, without much programming fuzz, and even with optional logging
enabled? Then give up shell programming, use Perl.

'Sysadm::Install' executes shell-like commands performing typical
installation tasks: Copying files, extracting tarballs, calling 'make'. It
has a 'fail once and die' policy, meticulously checking the result of every
operation and calling 'die()' immediately if anything fails.

'Sysadm::Install' also supports a _dry_run_ mode, in which it logs
everything, but suppresses any write actions. Dry run mode is enabled by
calling 'Sysadm::Install::dry_run(1)'. To switch back to normal, call
'Sysadm::Install::dry_run(0)'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/one-liner

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-2.mga4
+ Revision: 527315
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.430.0-1.mga4
+ Revision: 439905
- update to 0.43

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 373005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 342642
- update to 0.41

* Mon Sep 17 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 295067
- update to 0.40

* Thu May 31 2012 shlomif <shlomif> 0.390.0-1.mga3
+ Revision: 252248
- New version - 0.39
- imported package perl-Sysadm-Install


* Tue Jan 10 2012 cpan2dist 0.38-1mga
- initial mageia release, generated with cpan2dist
